/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: survey_core.js,v 1.1.2.1 2015/06/30 11:04:37 rakollep Exp $ */
 
function page(num)
{
	updatePageNumber(num);
	currentPage = num;

	for (var i=1;i<=pageCount;i++)
	{
		document.getElementById("Page"+i).style.visibility = (i==num)?"visible":"hidden";
	}
}

function previousPage()
{
	if ( currentPage == 1 )
	{
		// They are already on the first page
		return false;
	}
	else
	{
		page(currentPage-1);
	}
}

function nextPage()
{
	if ( currentPage == pageCount )
	{
		// They are already on the last page
		return false;
	}
	else
	{
		page(currentPage+1);
	}
}

function updatePageNumber(currentPage)
{
	var activePageClass = "bs-activePage";
	var pageNumberClass = "bs-pagenumberstyle";
	
	//Duc fixed case #28144 - set disable style from assessment.html
	var disablePageClass = "ba-disactivePage"; 
	var newHTML = "<table width=\"100%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\">\n"+
	              "  <tr>\n"+
	              "    <td class=\""+pageNumberClass+"\">"+pageNumberLabel+"</td>\n"+
	              "    <td class=\""+pageNumberClass+"\" width=\"99%\">\n";

	for (var i=0;i<pageCount;i++)
	{
		var page = i+1;
		if (currentPage == page )
		{
			newHTML += "      <span class=\""+activePageClass+"\">"+page+"</span>&nbsp;\n";
		}
		else
		{
			newHTML += "      <a class=\""+pageNumberClass+"\" href=\"#\" onclick=\"page("+page+"); return false;\">"+page+"</a>&nbsp;\n";
		}
	}

	newHTML +=  "    </td>\n"+
	            "  </tr>\n"+
	            "</table>\n";

    // ns4 needs padding
	if (document.layers)
	{
		var newHTML = "<span class=\"nspadding\">"+newHTML+"</span>";
	}

	YAHOO.util.Dom.get("pagenavdiv").innerHTML = newHTML;
}